Update: use dune instead of oasis

Remove a lot of warnings (considered as errors by dune).

Split the lutin opam package into several ones:
- lutin
- ezdl
- gbddml

Also, I've merge the content of lutin-utils into lutin.

Note that this opam "package split/ocaml library merge" move is
somewhat imposed by the fact that dune impose the use of one opam
package per library (if I got it correctly). But as a matter of fact,
merging lutin and lutin-utils libs makes sense. Having standalone ezdl
and gbddml opam packages too.
4 jobs for 2.70.5 in 3 minutes and 52 seconds (queued for 1 second)
latest
Status Job ID Name Coverage
  Build
passed #93608
build

00:02:00

 
  Test
failed #93635
allowed to fail
test_opam_test

00:01:51

failed #93634
allowed to fail
test_opam_test

00:01:48

failed #93609
allowed to fail
test_opam_test

00:02:05

 
Name Stage Failure
failed
test_opam_test Test
=> The last version can be obtained via (opam repo add) http://www-verimag.imag.fr/DIST-TOOLS/SYNCHRONE/opam-repository/

The packages you requested declare the following system dependencies. Please make sure they are installed before retrying:
libgmp-dev libmpfr-dev m4 perl


The former state can be restored with:
opam switch import "/home/opam/.opam/4.08/.opam-switch/backup/state-20190903094929.export"
ERROR: Job failed: exit code 1